#.ConnectionDatabases
.SubCollection
C
Add
m

(Name)s
Remove
m

(Name)s
#.ConnectionTables
.SubCollection
C
Add
m
Table
(Name)s[(Type)s]
Remove
m

(Name)s
#.ConnectionUsers
.SubCollection
C
Add
m

(Name)s[(Password)s(Admin)b]
Remove
m

(Name)s
#.ResultFields
.SubCollection
C
_next
m
ResultField

Count
r
i

#.TableFields
.SubCollection
C
Add
m

(Name)s(Type)i[(Length)i(Default)v]
#.TableIndexes
.SubCollection
C
Add
m

(Name)s(Fields)s[(Unique)b]
Remove
m

(Name)s
#Blob


_init
M


_free
m


Data
p
s

Length
r
i

#Connection

C
_Properties
C
s
Type,Host,Login,Password,Name,Port
Begin
m


Close
m


Commit
m


Create
m
Result
(Table)s
Delete
m

(Table)s[(Request)s(Arguments).]
Edit
m
Result
(Table)s[(Request)s(Arguments).]
Exec
m
Result
(Request)s(Arguments).
Find
m
Result
(Table)s[(Request)s(Arguments).]
Limit
m
Connection
(Limit)i
Open
m


Quote
m
s
(Name)s
Rollback
m


Subst
m
s
(Format)s(Arguments).
_free
m


_new
m


Databases
p
.ConnectionDatabases

Host
p
s

Login
p
s

Name
p
s

Password
p
s

Port
p
s

Tables
p
.ConnectionTables

Type
p
s

User
p
s

Users
p
.ConnectionUsers

Charset
r
s

Error
r
i

Opened
r
b

Version
r
i

#DB


Blob
C
i
-2
Boolean
C
i
1
Date
C
i
8
Float
C
i
7
Integer
C
i
4
Long
C
i
5
Serial
C
i
-1
String
C
i
9
Begin
M


Close
M


Commit
M


Create
M
Result
(Table)s
Delete
M

(Table)s[(Request)s(Arguments).]
Edit
M
Result
(Table)s[(Request)s(Arguments).]
Exec
M
Result
(Request)s(Arguments).
Find
M
Result
(Table)s[(Request)s(Arguments).]
Limit
M
Connection
(Limit)i
Open
M


Quote
M
s
(Name)s
Rollback
M


Subst
M
s
(Format)s(Arguments).
Current
P
Connection

Databases
P
.ConnectionDatabases

Debug
P
b

Tables
P
.ConnectionTables

Users
P
.ConnectionUsers

Charset
R
s

Error
R
i

Opened
R
b

Version
R
i

#Database


Delete
m


_free
m


Connection
r
Connection

Name
r
s

System
r
b

#DatabaseUser


Delete
m


_free
m


Password
p
s

Administrator
r
b

Connection
r
Connection

Name
r
s

#Field


_free
m


Default
r
v

Length
r
i

Name
r
s

Table
r
Table

Type
r
i

#Index


_free
m


Fields
r
s

Name
r
s

Primary
r
b

Table
r
Table

Unique
r
b

#Result


Delete
m

[(Keep)b]
MoveFirst
m
b

MoveLast
m
b

MoveNext
m
b

MovePrevious
m
b

MoveTo
m
b
(Index)i
Update
m


_free
m


_get
m
v
(Field)s
_next
m


_put
m

(Value)v(Field)s
Available
r
b

Connection
r
Connection

Count
r
i

Fields
r
.ResultFields

Index
r
i

Length
r
i

Max
r
i

#ResultField


_free
m


Length
r
i

Name
r
s

Result
r
Result

Type
r
i

#Table


Update
m


_free
m


PrimaryKey
p
String[]

Type
p
s

Connection
r
Connection

Fields
r
.TableFields

Indexes
r
.TableIndexes

Name
r
s

System
r
b

